/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef __TIZEN_CORE_KEY_MANAGER_CLIENT_DOC_H__
#define __TIZEN_CORE_KEY_MANAGER_CLIENT_DOC_H__
/**
 * @ingroup CAPI_KEY_MANAGER_MODULE 
 * @defgroup CAPI_KEY_MANAGER_CLIENT_MODULE Key Manager Client
 * @brief    It provides APIs accessing on the secure repository and additional secure cryptographic operations.
 *
 * @section CAPI_KEY_MANAGER_CLIENT_MODULE_HEADER Required Header
 * \#include <ckmc/ckmc-manager.h>
 *
 * @section CAPI_KEY_MANAGER_CLIENT_MODULE_OVERVIEW Overview
 * It provides APIs for storing, getting, and removing APIs for keys, certificates, and sensitive data on/from the Key Manager secure repository which is protected by a user’s passwords.
 * Additionally, it provides secure cryptographic operations for non-exportable keys without revealing key values to clients.
 */

#endif /* __TIZEN_CORE_KEY_MANAGER_CLIENT_DOC_H__ */
