/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef __TIZEN_CORE_KEY_MANAGER_CONTROL_DOC_H__
#define __TIZEN_CORE_KEY_MANAGER_CONTROL_DOC_H__
/**
 * @internal
 * @ingroup CAPI_KEY_MANAGER_MODULE
 * @defgroup CAPI_KEY_MANAGER_CONTROL_MODULE Key Manager Control
 * @brief    These APIs control the key manager state (Unlocked/Locked) and reflects the user's password change.
 *
 * @section CAPI_KEY_MANAGER_CONTROL_MODULE_HEADER Required Header
 * \#include <ckmc/ckmc-control.h>
 *
 * @section CAPI_KEY_MANAGER_CONTROL_MODULE_OVERVIEW Overview
 * It provides APIs encrypting, decrypting, and re-encrypting a DKEK (with which a user's data file is encrypted).
 * When a user logs in for the first time, the DKEK will be generated randomly.
 */

#endif /* __TIZEN_CORE_KEY_MANAGER_CONTROL_DOC_H__ */
