/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
/*
 * @file        errno_string.h
 * @author      Przemyslaw Dobrowolski (p.dobrowolsk@samsung.com)
 * @version     1.0
 * @brief       This file is the implementation file of errno string
 */
#ifndef CKM_ERRNO_STRING_H
#define CKM_ERRNO_STRING_H

#include <dpl/exception.h>
#include <string>
#include <cerrno>

namespace CKM {
DECLARE_EXCEPTION_TYPE(CKM::Exception, InvalidErrnoValue)

std::string GetErrnoString(int error = errno);
} // namespace CKM

#endif // CKM_ERRNO_STRING_H
